#!/bin/bash

cd "$(dirname "$0")"
line="$1"
[[ "$line" =~ ^[0-9]+$ ]] || { echo >&2 "usage: $0 <line>"; exit 1; }
. config.txt
ip_prefix=${server_ip%.*}
ip="$ip_prefix.$line"

for i in $(seq 1 10); do
	if asterisk -rx "core show channels" |grep -q "emerg$line"; then
		./admin_scripts/volume_up.pl "$ip" "$telnet_pass" "emerg$line"
		break
	else
		sleep 1
	fi
done

